uniform float exposure;
uniform float gamma;
uniform sampler2D image;

varying vec2 coordinates;

float tosRGB(float c)
{
  return pow(c,1.0/gamma);
}

void main()
{
	vec4 result;
	
	result=exposure*texture2D(image,coordinates);
	result=vec4(tosRGB(result.r),tosRGB(result.g),tosRGB(result.b),1);
	
	gl_FragColor=result;
}
